package org.brapi.test.BrAPITestServer.model.dto.geno;

import java.util.ArrayList;
import java.util.List;

import io.swagger.model.BrAPIResponse;
import io.swagger.model.BrAPIResponseResult;
import io.swagger.model.Context;
import io.swagger.model.Metadata;

public class VariantSetAvailableFormatListResponse
		implements BrAPIResponse<VariantSetAvailableFormatListResponse.Result> {
	private Context _atContext;
	private Metadata metadata;
	private Result result = new Result();

	public static class Result implements BrAPIResponseResult<VariantSetAvailableFormatRecord> {
		private List<VariantSetAvailableFormatRecord> data = new ArrayList<>();

		@Override
		public List<VariantSetAvailableFormatRecord> getData() {
			return data;
		}

		@Override
		public void setData(List<VariantSetAvailableFormatRecord> data) {
			this.data = data;
		}
	}

	@Override
	public void set_atContext(Context _atContext) {
		this._atContext = _atContext;
	}

	@Override
	public Metadata getMetadata() {
		return metadata;
	}

	@Override
	public void setMetadata(Metadata metadata) {
		this.metadata = metadata;
	}

	@Override
	public Result getResult() {
		return result;
	}

	@Override
	public void setResult(Result result) {
		this.result = result;
	}
}
